#
# spec file for package lua-luassert
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define flavor lua54
%define mod_name luassert
%define upversion 1.7.11
Version:        1.7.11
Release:        5.1
Summary:        Lua Assertions Extension
License:        MIT
URL:            https://github.com/lunarmodules/luassert
Source:         https://github.com/lunarmodules/luassert/archive/v%{upversion}.tar.gz#/%{mod_name}-%{upversion}.tar.gz
BuildRequires:  %{flavor}-devel
BuildRequires:  %{flavor}-say
BuildRequires:  lua-macros
Requires:       %{flavor}
BuildArch:      noarch
%lua_provides
%if "%{flavor}" == ""
Name:           lua-luassert
ExclusiveArch:  do_not_build
%else
Name:           %{flavor}-luassert
%endif

%description
Adds a framework that allows registering new assertions without
compromising builtin assertion functionality.

%prep
%setup -q -n %{mod_name}-%{upversion}
sed -i -e 's/\r$//' README.md

%build
/bin/true

%install
mkdir -p %{buildroot}%{lua_noarchdir}/luassert
cp -v -r -p src/* %{buildroot}%{lua_noarchdir}/luassert

%check
# requires busted
/bin/true
# spec:
# assertions_spec.lua  helper.lua     mocks_spec.lua   spies_spec.lua
# stub_spec.lua
# formatters_spec.lua  matchers_spec.lua  output_spec.lua  state_spec.lua

%files
%license LICENSE
%doc CONTRIBUTING.md README.md
%dir %{lua_noarchdir}/luassert
%{lua_noarchdir}/luassert*

%changelog
* Thu Mar 16 2023 Matej Cepl <mcepl@suse.com>
- Change upstream homepage to the current one at Lunar Modules.
* Wed Nov 23 2022 Michal Suchanek <msuchanek@suse.com>
- Fix missing dependency on lua-macros (boo#1205612)
* Thu Feb 11 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%lua_provides: add the lua-mod_name provides/obsoletes to
  the lua version matching the distro default.
* Mon Jul  6 2020 Matej Cepl <mcepl@suse.com>
- Add lua54 as new build target
* Mon Oct 28 2019 Matej Cepl <mcepl@suse.com>
- Initial packaging effort for luassert 1.7.11
